com.datecs.biometric

## Class AnsiIso

- java.lang.Object
- - com.datecs.biometric.AnsiIso

-     public class AnsiIso
      extends java.lang.Object

  Finger Image-Based Data Interchange Format parser.

  Supported formats:

  - ISO/IEC 19794-4-2005
  - ANSI INCITS 381-2004

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getCaptureDeviceID()` Get capture device ID.
    `java.lang.String` | `getCaptureDeviceIDAsHexString()` Get capture device ID as HEX String.
    `int` | `getCountOfViews()` Get count of views.
    `byte[]` | `getData()` Get finger image record data.
    `int` | `getFingerDataBlockLength()` Get finger data block length.
    `int` | `getFingerImageQuality()` Get finger/palm image quality.
    `int` | `getFingerPosition()` Get finger position.
    `byte[]` | `getFormatIdentifier()` Get format identifier.
    `java.lang.String` | `getFormatIdentifierAsString()` Get format identifier as String.
    `byte[]` | `getHeader()` Get finger image record header data.
    `java.lang.String` | `getHeaderAsHexString()` Get finger image record header data as HEX string.
    `int` | `getHorizontalLineLength()` Get horizontal line length (image width).
    `int` | `getImageAsquisionLevel()` Get acquisition level.
    `int` | `getImageCompressionAlgorithm()` Get compression algorithm.
    `byte[]` | `getImageData()` Get finger/palm image data.
    `int` | `getImageResolutionHorz()` Get image resolution (horizontal).
    `int` | `getImageResolutionVert()` Get image resolution (vertical).
    `int` | `getImpressionType()` Get impression type.
    `int` | `getNumberOfFingers()` Get number of finger/palm.
    `int` | `getPixelDepth()` Get pixel depth.
    `byte[]` | `getProductIdentifier()` Get product identifier.
    `java.lang.String` | `getProductIdentifierAsHexString()` Get product identifier as HEX string.
    `int` | `getRecordLength()` Get record length.
    `int` | `getScaleUnits()` Get scale units.
    `int` | `getScanResolutionHorz()` Get scan resolution (horizontal).
    `int` | `getScanResolutionVert()` Get scan resolution (vertical).
    `byte[]` | `getVersionNumber()` Get version number.
    `java.lang.String` | `getVersionNumberAsString()` Get version number as String.
    `int` | `getVerticalLineLength()` Get vertical line length (image height).
    `int` | `getViewNumber()` Get view number.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getData

          public byte[] getData()

      Get finger image record data.
      Returns:
        the data.

    - #### getHeader

          public byte[] getHeader()

      Get finger image record header data.
      Returns:
        the data.

    - #### getHeaderAsHexString

          public java.lang.String getHeaderAsHexString()

      Get finger image record header data as HEX string.
      Returns:
        the data.

    - #### getFormatIdentifierAsString

          public java.lang.String getFormatIdentifierAsString()

      Get format identifier as String.
      Returns:
        format identifier.

    - #### getFormatIdentifier

          public byte[] getFormatIdentifier()

      Get format identifier.

      The Finger Image Record that begin with the three ASCII characters "FIR" to identify the record as following this standard, followed by a zero byte as a null string terminator.

      Returns:
        format identifier.

    - #### getVersionNumberAsString

          public java.lang.String getVersionNumberAsString()

      Get version number as String.
      Returns:
        version number.

    - #### getVersionNumber

          public byte[] getVersionNumber()

      Get version number.

      The version number for the version of this standard used in construction the image record placed in four bytes. This version number consist of three ASCII numerals followed by a zero byte as a NULL string terminator. The first and second character will represent the major version number and the third character will represent the minor revision number. Upon approval of this specification, the version number is “010” – Version 1 revision.

      Returns:
        version number.

    - #### getRecordLength

          public int getRecordLength()

      Get record length.

      The length in bytes of the entire record that includes the combined lengths of all finger records.

      Returns:
        record length.

    - #### getProductIdentifier

          public byte[] getProductIdentifier()

      Get product identifier.

      This field specify the 'owner' of the encoding equipment.

      Available only with ANSI INCITS 381-2004.

      Returns:
        product identifier.

    - #### getProductIdentifierAsHexString

          public java.lang.String getProductIdentifierAsHexString()

      Get product identifier as HEX string.

      This field specify the 'owner' of the encoding equipment.

      Available only with ANSI INCITS 381-2004.

      Returns:
        product identifier.

    - #### getCaptureDeviceID

          public byte[] getCaptureDeviceID()

      Get capture device ID.

      This field specify the capture device ID recorded. A value of all zeros will be acceptable and will indicated that the capture device ID is unreported. The vendor determines the value for this field. Applications developers may obtain the values for these codes from the vendor.

      Returns:
        capture device id.

    - #### getCaptureDeviceIDAsHexString

          public java.lang.String getCaptureDeviceIDAsHexString()

      Get capture device ID as HEX String.

      The capture device ID recorded in two bytes. A value of all zeros will be acceptable and will indicated that the capture device ID is unreported. The vendor determines the value for this field. Applications developers may obtain the values for these codes from the vendor.

      Returns:
        capture device id.

    - #### getImageAsquisionLevel

          public int getImageAsquisionLevel()

      Get acquisition level.

      This field specify the image acquisition level. The value used indicates the level at which all of the minimum acquisition parameters were satisfied during the capture of image.

      Returns:
        acquisition level.

    - #### getNumberOfFingers

          public int getNumberOfFingers()

      Get number of finger/palm.

      The number of finger or palm images included in the record. Multiple fingers acquired by a single capture and contained in the same image are counted as a single finger image. The number of views are not part of the count for this view.

      Returns:
        number of finger/palm.

    - #### getScaleUnits

          public int getScaleUnits()

      Get scale units.

      This field specify the units used to describe the scanning and image resolutions of the image. A '0x01' in this fields indicates pixel per inch, or the '0x02' indicates pixel per centimeter.

      Returns:
        scale units.

    - #### getScanResolutionHorz

          public int getScanResolutionHorz()

      Get scan resolution (horizontal).

      This field specify the rounded scanning resolution used in the horizontal direction. The scale units field determine whether the value is pixel per inch or pixel per centimeter.

      Returns:
        scan resolution.

    - #### getScanResolutionVert

          public int getScanResolutionVert()

      Get scan resolution (vertical).

      This field specify the rounded scanning resolution used in the vertical direction. The scale units field determine whether the value is pixel per inch or pixel per centimeter.

      Returns:
        scan resolution.

    - #### getImageResolutionHorz

          public int getImageResolutionHorz()

      Get image resolution (horizontal).

      This field specify the rounded image resolution used in the horizontal direction. The scale units field determine whether the value is pixel per inch or pixel per centimeter.

      Returns:
        image resolution.

    - #### getImageResolutionVert

          public int getImageResolutionVert()

      Get image resolution (vertical).

      This field specify the rounded image resolution used in the vertical direction. The scale units field determine whether the value is pixel per inch or pixel per centimeter.

      Returns:
        image resolution.

    - #### getPixelDepth

          public int getPixelDepth()

      Get pixel depth. This field contains a number of bits used to represent pixel. The value can be from '0x01' to '0x10'.
      Returns:
        pixel depth.

    - #### getImageCompressionAlgorithm

          public int getImageCompressionAlgorithm()

      Get compression algorithm. Specify the method used to record the uncompressed or compressed grayscale images.

      Code | Compression algorithm
      0 | Uncompressed - no bit packing
      1 | Uncompressed - bit packing
      2 | Compressed - WSQ
      3 | Compressed - JPEG
      4 | Compressed - JPEG 2000
      5 | Compressed - PNG

      Returns:
        compression algorithm.

    - #### getFingerDataBlockLength

          public int getFingerDataBlockLength()

      Get finger data block length.

      This field contains the length in bytes of finger segment. It specify the total number of bytes including the length of the header and the size of compressed or uncompressed image data.

      Returns:
        length.

    - #### getFingerPosition

          public int getFingerPosition()

      Get finger position.
      Returns:
        finger position.

    - #### getCountOfViews

          public int getCountOfViews()

      Get count of views.

      This field contains the total number of specific views available for this finger.

      Returns:
        count of views.

    - #### getViewNumber

          public int getViewNumber()

      Get view number.

      This field contains the specific image view number associate with the finger or palm.

      Returns:
        view number.

    - #### getFingerImageQuality

          public int getFingerImageQuality()

      Get finger/palm image quality.
      Returns:
        finger/palm image quality.

    - #### getImpressionType

          public int getImpressionType()

      Get impression type.
      Returns:
        impression type.

    - #### getHorizontalLineLength

          public int getHorizontalLineLength()

      Get horizontal line length (image width).

      This field is used to specify the number of pixels contained on a single horizontal line of the transmitted image.

      Returns:
        horizontal line length.

    - #### getVerticalLineLength

          public int getVerticalLineLength()

      Get vertical line length (image height).

      This field is used to specify the number of horizontal lines contained in the transmitted image.

      Returns:
        vertical line length.

    - #### getImageData

          public byte[] getImageData()

      Get finger/palm image data.

      This field contains grayscale image data formatted and recorded in accordance with the image compression algorithm.

      Returns:
        image data.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`